package jumpstart.min.business.commons.exception;

@SuppressWarnings("serial")
public class GenericBusinessException extends BusinessException {

	public GenericBusinessException(String messageId) {
		super(messageId);
	}

	public GenericBusinessException(String messageId, Object[] messageArgs) {
		super(messageId, messageArgs);
	}

	public GenericBusinessException(String messageId, Object messageArg) {
		super(messageId, new Object[] { messageArg });
	}

	public GenericBusinessException(String messageId, Object messageArg1, Object messageArg2) {
		super(messageId, new Object[] { messageArg1, messageArg2 });
	}

}
