package jumpstart.min.business.commons.exception;

import java.util.Date;

import javax.ejb.ApplicationException;

@ApplicationException(rollback = true)
@SuppressWarnings("serial")
public class UnexpectedException extends ServiceException {
	Throwable _exception;
	Date _when;

	public UnexpectedException(Throwable exception) {
		super("UnexpectedException", new Object[] { (new Date()).toString() });
		_exception = exception;
	}

	public Throwable getException() {
		return _exception;
	}

}
