package jumpstart.min.util;

import java.text.MessageFormat;
import java.util.Properties;

/**
 * Insert the type's description here. Creation date: (26/02/01 22:22:21)
 * 
 * @author: Administrator
 */
public class MessageUtil {
	static private Properties _messageDefs = null;

	static private Properties loadMessageDefs(Object anyObject) {

		if (_messageDefs == null) {
			_messageDefs = ResourceReader.getAsProperties("messageDefs.properties");
		}

		return _messageDefs;
	}

	/**
	 * Insert the method's description here. Creation date: (26/02/01 22:51:58)
	 * 
	 * @return String
	 */
	static public String toText(String messageId) {
		try {
			Properties p = loadMessageDefs(messageId);

			String s = p.getProperty(messageId);
			if (s != null) {
				return s;
			}
			else {
				return ("Contact I.T.  Invalid message Id generated: " + messageId + ".");
			}
		}
		catch (UtilRuntimeException e) {
			System.err.println("Failed to get message for \"" + messageId + "\".");
			throw e;
		}

	}

	/**
	 * Insert the method's description here. Creation date: (26/02/01 22:51:58)
	 * 
	 * @return String
	 */
	static public String toText(String messageId, Object[] messageArgs) {
		String message = null;
		Properties p = loadMessageDefs(messageId);
		String s = p.getProperty(messageId);

		if (s != null) {
			if (messageArgs == null) {
				message = s;
			}
			else {
				MessageFormat messageFormat = new MessageFormat(s);
				message = messageFormat.format(messageArgs);
			}

			return message;
		}
		else {
			return ("Contact I.T.  Invalid message Id generated: " + messageId + ".");
		}

	}
	
}
