package jumpstart.min.web.pages.starters;

import jumpstart.min.web.pages.login.LoginPage;

import org.apache.tapestry.html.BasePage;

public abstract class SimpleOutputUsingActivatePage extends BasePage {
	static public final String PAGE_NAME = "pages/starters/SimpleOutputUsingActivatePage";
	
	public abstract void setMessage(String value);

	public void activate() {
		setMessage("Hi!  This message was set up in the activate() method.");
		getRequestCycle().activate(this);
	}

	public void doToLogin() {
		LoginPage nextPage = (LoginPage) getRequestCycle().getPage(LoginPage.PAGE_NAME);
		nextPage.activate();
	}
}